/*


IFT1166 - Structures de donnes de base

13-novembre  -2005 v1.01             M.Lokbani  partir des ex-notes de cours
30-octobre   -1999 v1.00             M.Lokbani

contact: lokbani@iro.umontreal.ca


    Copyright (C) 1999-2005 Universit de Montral
            Dpartement d'informatique et de Recherche Oprationnelle
            Mohamed Lokbani
    -- Tous Droits Rservs -- All Rights Reserved --

Description:
------------

    Le fichier suivant prsente un programme permettant de tester les diffrentes fonctionnalits de la Pile.
    
    Nous avons besoin d'inclure le fichier "pile.h" pour signifier au compilateur o aller
    chercher la dclaration de la classe Pile qui contient la signature des diffrentes mthodes.


                pile.h : dclaration de la classe pile
                pile.cpp: dfinition des diffrentes mthodes de la classe pile
    =======>    mainpile.cpp: programme de test


*/

#include "pile.h"

int main() {

    Pile pi;
    
    pi.push(1);
    pi.push(2);
        
    cout << pi.pop() << endl;
    
    for (int i=0; i< 10; i++)
        pi.push((int) ('A' + i));


    while (!pi.vide()) {
        cout << pi.pop() << endl;
    }
    
    return 0;
}
