/*


IFT1166 - Structures de donnes de base

13-novembre  -2005 v1.01             M.Lokbani  partir des ex-notes de cours
30-octobre   -1999 v1.00             M.Lokbani

contact: lokbani@iro.umontreal.ca


    Copyright (C) 1999-2005 Universit de Montral
            Dpartement d'informatique et de Recherche Oprationnelle
            Mohamed Lokbani
    -- Tous Droits Rservs -- All Rights Reserved --

Description:
------------

    Le fichier suivant prsente la dfinition des diffrentes mthodes de la classe Pile.

    Nous avons besoin d'inclure le fichier "pile.h" pour signifier au compilateur o aller
    chercher la dclaration de la classe Pile qui contient la signature des diffrentes mthodes.
    
                pile.h : dclaration de la classe pile
    ========>   pile.cpp: dfinition des diffrentes mthodes de la classe pile
                mainpile.cpp: programme de test


*/


#include "pile.h"

Pile::Pile() {
    taille = DefautPile;
    allocation();
}

// Fonction d'allocation des lments.
Pile::Pile( int s ) {
    if ( s < 0 )       // taille ngative?
        s *= -1;
    else if ( 0 == s ) // taille nulle?
        s = DefautPile;
    taille = s;
    allocation();
}
Pile::~Pile() {
    delete[ ] elements;
}
void Pile::push( const int& e ) {
    if ( !pleine() )
        elements[ ++sommet ] = e;
    else
        msg( "Pile pleine!" );
}
int Pile::pop() {
    if ( !vide() )
        return elements[ sommet-- ];
    else {
        msg( "Pile vide!" );
        int valeur_qcq=0;
        return valeur_qcq; // on retourne une valeur arbitraire!
    }
}
bool Pile::vide() const {
    return sommet <= VidePile;
}
bool Pile::pleine() const {
    return sommet + 1 >= taille;
}

